﻿Public Class WebForm1
	Inherits System.Web.UI.Page

	Private _colTODetails As New List(Of TODetails)
	Private _colTOCombo As New List(Of TOConsequence)



	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

	End Sub

	Protected Sub wgrdTODtls_RowUpdating(sender As Object, e As Infragistics.Web.UI.GridControls.RowUpdatingEventArgs)
		' This samples does not support updating.
		'e.Cancel = True
	End Sub

	Private Sub WebForm1_PreRender(sender As Object, e As System.EventArgs) Handles Me.PreRender

		Me.TurnOverDetails()
		Me.TurnOverConsequenceList()

		If Not Me._colTOCombo Is Nothing AndAlso Me._colTOCombo.Count > 0 Then
			Me.ConsequenceProvider.EditorControl.DataSource = Me._colTOCombo
			Me.ConsequenceProvider.EditorControl.ValueField = "Consequence"
			Me.ConsequenceProvider.EditorControl.TextField = "Consequence_Txt"
			Me.ConsequenceProvider.EditorControl.DataBind()
		End If

		If Not Me._colTODetails Is Nothing AndAlso Me._colTODetails.Count > 0 Then

			Me.wgrdTODtls.DataSource = Me._colTODetails
			Me.wgrdTODtls.DataBind()

		End If

	End Sub

	Public Sub SaveConsequence()

		Dim i As Integer

		Dim strOrgCode As String
		Dim strEmplId As String
		Dim strFyCd As String
		Dim intPdNo As Integer

		Dim intConsequence As Integer

		If Me.wgrdTODtls.Rows.Count > 0 Then

			For i = 0 To Me.wgrdTODtls.Rows.Count - 1

				intConsequence = CInt(Me.wgrdTODtls.Rows(i).DataItem("Consequence").Value)

				If intConsequence >= 0 Then

					strOrgCode = Me.wgrdTODtls.Rows(i).DataItem("OrgCode").Text.Trim
					strEmplId = Me.wgrdTODtls.Rows(i).DataItem("Empl_Id").Text.Trim
					strFyCd = Me.wgrdTODtls.Rows(i).DataItem("Fy_Cd").Text.Trim
					intPdNo = CInt(Me.wgrdTODtls.Rows(i).DataItem("Pd_No").Text.Trim)


				End If

			Next

		End If

	End Sub
	Private Sub TurnOverConsequenceList()

		Dim a As New TOConsequence() With {
			.Consequence = 0,
			.Consequence_Txt = "Low"
		}

		Me._colTOCombo.Add(a)

		Dim b As New TOConsequence() With {
			.Consequence = 10,
			.Consequence_Txt = "Medium"
		}

		Me._colTOCombo.Add(b)

		Dim c As New TOConsequence() With {
			.Consequence = 20,
			.Consequence_Txt = "Top"
		}

		Me._colTOCombo.Add(c)

	End Sub


	Private Sub TurnOverDetails()

		Dim c As New TODetails() With {
			.Consequence = 10,
			.Empl_Id = "012345",
			.Fy_Cd = "2011",
			.Job_Title = "Associate Project Engineer",
			.L1_Reorg_Seg_Id = "0001",
			.L2_Reorg_Seg_Id = "09",
			.L3_Reorg_Seg_Id = "13",
			.L3_Reorg_Name = "Redevelopment PC",
			.Length_Of_Service = 7.3,
			.OrgCode = "123",
			.Pd_No = 10,
			.PROPER_NAME = "Denman, Jeffrey E",
			.Term_Date = CDate("11/11/2011"),
			.Term_Reason = "Slacker"
		}
		Me._colTODetails.Add(c)

		Dim a As New TODetails() With {
			.Consequence = 10,
			.Empl_Id = "012346",
			.Fy_Cd = "2011",
			.Job_Title = "Project Scientist",
			.L1_Reorg_Seg_Id = "0001",
			.L2_Reorg_Seg_Id = "09",
			.L3_Reorg_Seg_Id = "13",
			.L3_Reorg_Name = "Redevelopment PC",
			.Length_Of_Service = 4.5,
			.OrgCode = "123",
			.Pd_No = 10,
			.PROPER_NAME = "Wenk, Nicole H",
			.Term_Date = CDate("11/11/2011"),
			.Term_Reason = "Slacker"
		}
		Me._colTODetails.Add(a)

		Dim b As New TODetails() With {
			.Consequence = 10,
			.Empl_Id = "012347",
			.Fy_Cd = "2011",
			.Job_Title = "Accouting Assistant 2",
			.L1_Reorg_Seg_Id = "0001",
			.L2_Reorg_Seg_Id = "09",
			.L3_Reorg_Seg_Id = "13",
			.L3_Reorg_Name = "Federal PC",
			.Length_Of_Service = 0.2,
			.OrgCode = "123",
			.Pd_No = 10,
			.PROPER_NAME = "Laurenti, Nicole H",
			.Term_Date = CDate("10/24/2011"),
			.Term_Reason = "Slacker"
		}
		Me._colTODetails.Add(b)

		Dim d As New TODetails() With {
			.Consequence = 10,
			.Empl_Id = "012348",
			.Fy_Cd = "2011",
			.Job_Title = "Associate Project Engineer",
			.L1_Reorg_Seg_Id = "0001",
			.L2_Reorg_Seg_Id = "09",
			.L3_Reorg_Seg_Id = "13",
			.L3_Reorg_Name = "Federal PC",
			.Length_Of_Service = 3.1,
			.OrgCode = "123",
			.Pd_No = 10,
			.PROPER_NAME = "Jayaraman, Nataraj A",
			.Term_Date = CDate("09/30/2011"),
			.Term_Reason = "Slacker"
		}
		Me._colTODetails.Add(d)

		Dim e As New TODetails() With {
			.Consequence = 20,
			.Empl_Id = "012349",
			.Fy_Cd = "2011",
			.Job_Title = "Construction Superintendent 2",
			.L1_Reorg_Seg_Id = "0001",
			.L2_Reorg_Seg_Id = "09",
			.L3_Reorg_Seg_Id = "13",
			.L3_Reorg_Name = "Federal PC",
			.Length_Of_Service = 0.0,
			.OrgCode = "123",
			.Pd_No = 10,
			.PROPER_NAME = "Fullard, Anthony",
			.Term_Date = CDate("09/16/2011"),
			.Term_Reason = "Slacker"
		}
		Me._colTODetails.Add(e)

	End Sub

	Protected Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

		Me.SaveConsequence()

	End Sub
End Class