﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="UCTurnOverDetails.ascx.vb" Inherits="IGDataGridNoAutoCRUD.UCTurnOverDetails" %>
<%@ Register Assembly="Infragistics4.Web.v10.3, Version=10.3.20103.2134, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
	Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<ig:WebDataGrid ID="wgrdTODtls" runat="server" AutoGenerateColumns="False" DataKeyFields="Empl_Id"
	StyleSetName="Default" AltItemCssClass="AltBlueItem" ShowHeader="True"
	Height="500px" Width="100%" OnRowUpdating="wgrdTODtls_RowUpdating">
	<EditorProviders>
		<ig:DropDownProvider ID="ConsequenceProvider">
			<EditorControl ID="editConsequenceProvider" runat="server" DisplayMode="DropDownList" />
		</ig:DropDownProvider>
	</EditorProviders>
	<Columns>
		<ig:BoundDataField DataFieldName="Term_Date" Key="Term_Date" DataType="System.DateTime">
			<Header Text="Term Date" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="L3_Reorg_Name" Key="L3_Reorg_Name">
			<Header Text="PC" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="Job_Title" Key="Job_Title">
			<Header Text="Title" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="PROPER_NAME" Key="PROPER_NAME">
			<Header Text="Name" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="Term_Reason" Key="Term_Reason" Hidden="true">
			<Header Text="Reason" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="Length_Of_Service" Key="Length_Of_Service">
			<Header Text="Yrs Service" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="Consequence" Key="Consequence" Width="155px">
			<Header Text="Consequence" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="Fy_Cd" Key="Fy_Cd" Hidden="true">
			<Header Text="Fy_Cd" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="Pd_No" Key="Pd_No" Hidden="true" DataType="System.Int32">
			<Header Text="Pd_No" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="OrgCode" Key="OrgCode" Hidden="true">
			<Header Text="OrgCode" />
		</ig:BoundDataField>
		<ig:BoundDataField DataFieldName="Empl_Id" Key="Empl_Id" Hidden="true">
			<Header Text="Empl_Id" />
		</ig:BoundDataField>
	</Columns>
	<Behaviors>
		<ig:EditingCore AutoCRUD="false">
			<Behaviors>
				<ig:CellEditing Enabled="true">
					<ColumnSettings>
						<ig:EditingColumnSetting ColumnKey="Term_Date" ReadOnly="true" />
						<ig:EditingColumnSetting ColumnKey="L3_Reorg_Name" ReadOnly="true" />
						<ig:EditingColumnSetting ColumnKey="Job_Title" ReadOnly="true" />
						<ig:EditingColumnSetting ColumnKey="PROPER_NAME" ReadOnly="true" />
						<ig:EditingColumnSetting ColumnKey="Length_Of_Service" ReadOnly="true" />
						<ig:EditingColumnSetting ColumnKey="Consequence" EditorID="ConsequenceProvider" />
					</ColumnSettings>
				</ig:CellEditing>
			</Behaviors>
		</ig:EditingCore>
	</Behaviors>
</ig:WebDataGrid>

